using UnityEngine;
using System.Collections.Generic;

[CreateAssetMenu(fileName = "NewQuest", menuName = "Quest System/Quest")]
public class Quest : ScriptableObject
{
    [Header("General Info")]
    public string questTitle = "Название Квеста";
    public bool isCompleted = false;

    [Header("Steps")]
    public List<QuestStepData> steps = new List<QuestStepData>();
}

[System.Serializable]
public class QuestStepData
{
    [Header("Step Info")]
    public string stepDescription = "Описание текущей задачи";
    
    [Tooltip("Префаб, который будет создан в сцене для управления логикой этого шага.")]
    public GameObject stepPrefab; 

    [Tooltip("Список конкретных объектов в сцене, с которыми нужно взаимодействовать.")]
    public GameObject[] targetObjects; 

    public bool isCompleted = false;
    
    [Tooltip("ID жуткого события, которое вызывается после завершения этого шага.")]
    public string spookyEventID = ""; 
}